<div id="loading-layer" *ngIf="loading"></div>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Trips</h1>
  <a (click)="csvFile.click()" class="d-none d-sm-inline-block btn btn-primary text-white"><i class="fa fa-file-import text-white-50"></i> Import
      <input #csvFile type="file" hidden accept=".csv" (change)="import($event)">
  </a>
</div>

<div class="alert alert-success ui-alert" role="alert" *ngIf="success">{{successMessage}}</div>
<div class="alert alert-danger ui-alert" role="alert" *ngIf="(errors | json) != '{}'">Error.</div>

<div class="card shadow mb-4">

  <div class="card-body" *ngIf="collection.length > 0; else nothing">

    <div class="table-responsive">

      <table class="table table-hover" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th><span (click)="sort('id')" class="sortable">ID <i class="fa " [ngClass]="sorted.id ? 'fa-caret-up' : 'fa-caret-down'"></i></span></th>
            <th><span (click)="sort('driver_id')" class="sortable">Driver ID <i class="fa " [ngClass]="sorted.driver_id ? 'fa-caret-up' : 'fa-caret-down'"></i></span></th>
            <th><span (click)="sort('pickup')" class="sortable">Pickup <i class="fa " [ngClass]="sorted.pickup ? 'fa-caret-up' : 'fa-caret-down'"></i></span></th>
            <th><span (click)="sort('dropoff')" class="sortable">Dropoff <i class="fa " [ngClass]="sorted.dropoff ? 'fa-caret-up' : 'fa-caret-down'"></i></span></th>
          </tr>
        </thead>
        <tbody>
        <tr *ngFor="let item of collection | paginate: { itemsPerPage: limit, currentPage: currentPage, totalItems: totalCount }">
          <td>{{item.id}}</td>
          <td>{{item.driver_id}}</td>
          <td>{{item.pickup}}</td>
          <td>{{item.dropoff}}</td>
        </tr>
        </tbody>
      </table>

    </div>

  <pagination-template #paginator="paginationApi" (pageChange)="onPageChange($event)" class="paginator">

      <div class="page-limit">
          <label>Items per page:</label>
          <select (change)="onPerPageChange($event.target.value)" [(ngModel)]="limit">
              <option *ngFor="let option of perPage" [value]="option">
                  {{option}}
              </option>
          </select>
      </div>

      <div class="page-numbers" *ngIf="collection.length < totalCount">

          <div class="pagination-previous" [class.disabled]="paginator.isFirstPage()">
              <a *ngIf="!paginator.isFirstPage()" (click)="paginator.previous()" class="prev"><i class="fas fa-fw fa-arrow-left"></i></a>
          </div>

          <div *ngFor="let page of paginator.pages" [class.current]="paginator.getCurrent() === page.value">
              <a (click)="paginator.setCurrent(page.value)" *ngIf="paginator.getCurrent() !== page.value">
                  <span>{{page.label}}</span>
              </a>
              <div *ngIf="paginator.getCurrent() === page.value">
                  <span>{{page.label}}</span>
              </div>
          </div>

          <div class="pagination-next" [class.disabled]="paginator.isLastPage()">
              <a *ngIf="!paginator.isLastPage()" (click)="paginator.next()" class="next"><i class="fas fa-fw fa-arrow-right"></i></a>
          </div>

      </div>

  </pagination-template>

  </div>

  <ng-template #nothing><p class="m-5 text-center">No records found.</p></ng-template>

</div>
